Templates
Message Templates management proxy
List all your message templates.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
Number of results to return per page.
The initial index from which to return the results.
123http://api.example.org/accounts/?offset=400&limit=100http://api.example.org/accounts/?offset=200&limit=100GET /api/v1/templates/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"name": "text",
"category": "text",
"language": "text",
"components": [],
"id": "text",
"rejected_reason": "text",
"status": "text"
}
]
}Create a new message template.
Editing templates is not supported. To update one of your templates, please delete current template and then create a new one.
Entire body schema follows schema as explained in WhatsApp Business API Message Templates documentation.
In above link, you can find more information about parameters, components, and buttons. There is also a list of all supported languages here.
The template is created via the 360dialog Messaging API and the result object contains id, status and category of the new template.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
The name of the message template.
The type of message template. Values: ACCOUNT_UPDATE, PAYMENT_UPDATE, PERSONAL_FINANCE_UPDATE, SHIPPING_UPDATE, RESERVATION_UPDATE, ISSUE_RESOLUTION, APPOINTMENT_UPDATE, TRANSPORTATION_UPDATE, TICKET_UPDATE, ALERT_UPDATE, AUTO_REPLY
The language of message template, e.g. en_US
The name of the message template.
The type of message template. Values: ACCOUNT_UPDATE, PAYMENT_UPDATE, PERSONAL_FINANCE_UPDATE, SHIPPING_UPDATE, RESERVATION_UPDATE, ISSUE_RESOLUTION, APPOINTMENT_UPDATE, TRANSPORTATION_UPDATE, TICKET_UPDATE, ALERT_UPDATE, AUTO_REPLY
The language of message template, e.g. en_US
POST /api/v1/templates/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 67
{
"name": "text",
"category": "text",
"language": "text",
"components": []
}{
"name": "text",
"category": "text",
"language": "text",
"components": [],
"id": "text",
"rejected_reason": "text",
"status": "text"
}Delete a given message template.
The template is deleted by name, in all languages it exists in.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
No response body
No content
DELETE /api/v1/templates/{name}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
No response body
No content
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
Refresh operation is started and response is given immediately, before finish.
POST /api/v1/templates/refresh/issue/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
Refresh operation is started and response is given immediately, before finish.
{}A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
falseGET /api/v1/templates/refresh/status/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
{
"currently_refreshing": false
}Last updated
Was this helpful?